# GstGLRenderBuffer

GstGLRenderbuffer is a GstGLBaseMemory subclass providing support for OpenGL renderbuffers.

GstGLRenderbuffer is created or wrapped through gst_gl_base_memory_alloc with GstGLRenderbufferAllocationParams.

## GstGLRenderbuffer

Represents information about a GL renderbuffer

### Members

`renderbuffer_id` (guint) –

the GL texture id for this memory

`renderbuffer_format` (GstGLFormat) –

the texture type

`width` (guint) –

the width

`height` (guint) –

the height

`renderbuffer_wrapped` (gboolean) –
No description available

## GstGL.GLRenderbuffer

Represents information about a GL renderbuffer

### Members

`renderbuffer_id` (Number) –

the GL texture id for this memory

`renderbuffer_format` (GstGL.GLFormat) –

the texture type

`width` (Number) –

the width

`height` (Number) –

the height

`renderbuffer_wrapped` (Number) –
No description available

## GstGL.GLRenderbuffer

Represents information about a GL renderbuffer

### Members

`renderbuffer_id` (int) –

the GL texture id for this memory

`renderbuffer_format` (GstGL.GLFormat) –

the texture type

`width` (int) –

the width

`height` (int) –

the height

`renderbuffer_wrapped` (bool) –
No description available

### Methods

#### gst_gl_renderbuffer_get_format

    GstGLFormat
    gst_gl_renderbuffer_get_format (GstGLRenderbuffer * gl_mem)

Parameters:

`gl_mem` –

a GstGLRenderbuffer

Returns –

the GstGLFormat of gl_mem

Since : 1.12

#### GstGL.GLRenderbuffer.prototype.get_format

    function GstGL.GLRenderbuffer.prototype.get_format(): {
        // javascript wrapper for 'gst_gl_renderbuffer_get_format'
    }

Parameters:

`gl_mem` (GstGL.GLRenderbuffer) –

a GstGL.GLRenderbuffer

Returns (GstGL.GLFormat) –

the GstGL.GLFormat of gl_mem

Since : 1.12

#### GstGL.GLRenderbuffer.get_format

    def GstGL.GLRenderbuffer.get_format (self):
        #python wrapper for 'gst_gl_renderbuffer_get_format'

Parameters:

`gl_mem` (GstGL.GLRenderbuffer) –

a GstGL.GLRenderbuffer

Returns (GstGL.GLFormat) –

the GstGL.GLFormat of gl_mem

Since : 1.12

#### gst_gl_renderbuffer_get_height

    gint
    gst_gl_renderbuffer_get_height (GstGLRenderbuffer * gl_mem)

Parameters:

`gl_mem` –

a GstGLRenderbuffer

Returns –

the configured height of gl_mem

Since : 1.10

#### GstGL.GLRenderbuffer.prototype.get_height

    function GstGL.GLRenderbuffer.prototype.get_height(): {
        // javascript wrapper for 'gst_gl_renderbuffer_get_height'
    }

Parameters:

`gl_mem` (GstGL.GLRenderbuffer) –

a GstGL.GLRenderbuffer

Returns (Number) –

the configured height of gl_mem

Since : 1.10

#### GstGL.GLRenderbuffer.get_height

    def GstGL.GLRenderbuffer.get_height (self):
        #python wrapper for 'gst_gl_renderbuffer_get_height'

Parameters:

`gl_mem` (GstGL.GLRenderbuffer) –

a GstGL.GLRenderbuffer

Returns (int) –

the configured height of gl_mem

Since : 1.10

#### gst_gl_renderbuffer_get_id

    guint
    gst_gl_renderbuffer_get_id (GstGLRenderbuffer * gl_mem)

Parameters:

`gl_mem` –

a GstGLRenderbuffer

Returns –

the OpenGL renderbuffer handle of gl_mem

Since : 1.10

#### GstGL.GLRenderbuffer.prototype.get_id

    function GstGL.GLRenderbuffer.prototype.get_id(): {
        // javascript wrapper for 'gst_gl_renderbuffer_get_id'
    }

Parameters:

`gl_mem` (GstGL.GLRenderbuffer) –

a GstGL.GLRenderbuffer

Returns (Number) –

the OpenGL renderbuffer handle of gl_mem

Since : 1.10

#### GstGL.GLRenderbuffer.get_id

    def GstGL.GLRenderbuffer.get_id (self):
        #python wrapper for 'gst_gl_renderbuffer_get_id'

Parameters:

`gl_mem` (GstGL.GLRenderbuffer) –

a GstGL.GLRenderbuffer

Returns (int) –

the OpenGL renderbuffer handle of gl_mem

Since : 1.10

#### gst_gl_renderbuffer_get_width

    gint
    gst_gl_renderbuffer_get_width (GstGLRenderbuffer * gl_mem)

Parameters:

`gl_mem` –

a GstGLRenderbuffer

Returns –

the configured width of gl_mem

Since : 1.10

#### GstGL.GLRenderbuffer.prototype.get_width

    function GstGL.GLRenderbuffer.prototype.get_width(): {
        // javascript wrapper for 'gst_gl_renderbuffer_get_width'
    }

Parameters:

`gl_mem` (GstGL.GLRenderbuffer) –

a GstGL.GLRenderbuffer

Returns (Number) –

the configured width of gl_mem

Since : 1.10

#### GstGL.GLRenderbuffer.get_width

    def GstGL.GLRenderbuffer.get_width (self):
        #python wrapper for 'gst_gl_renderbuffer_get_width'

Parameters:

`gl_mem` (GstGL.GLRenderbuffer) –

a GstGL.GLRenderbuffer

Returns (int) –

the configured width of gl_mem

Since : 1.10

### Functions

#### gst_gl_renderbuffer_init_once

    gst_gl_renderbuffer_init_once ()

Initializes the GL Base Texture allocator. It is safe to call this function multiple times. This must be called before any other GstGLRenderbuffer operation.

Since : 1.10

#### GstGL.prototype.gl_renderbuffer_init_once

    function GstGL.prototype.gl_renderbuffer_init_once(): {
        // javascript wrapper for 'gst_gl_renderbuffer_init_once'
    }

Initializes the GL Base Texture allocator. It is safe to call this function multiple times. This must be called before any other GstGLRenderbuffer operation.

Since : 1.10

#### GstGL.gl_renderbuffer_init_once

    def GstGL.gl_renderbuffer_init_once ():
        #python wrapper for 'gst_gl_renderbuffer_init_once'

Initializes the GL Base Texture allocator. It is safe to call this function multiple times. This must be called before any other GstGLRenderbuffer operation.

Since : 1.10

## GstGLRenderbufferAllocationParams

Allocation parameters

### Members

`renderbuffer_format` (GstGLFormat) –

the GstGLFormat

`width` (guint) –

the width

`height` (guint) –

the height

## GstGL.GLRenderbufferAllocationParams

Allocation parameters

### Members

`renderbuffer_format` (GstGL.GLFormat) –

the GstGL.GLFormat

`width` (Number) –

the width

`height` (Number) –

the height

## GstGL.GLRenderbufferAllocationParams

Allocation parameters

### Members

`renderbuffer_format` (GstGL.GLFormat) –

the GstGL.GLFormat

`width` (int) –

the width

`height` (int) –

the height

### Constructors

#### gst_gl_renderbuffer_allocation_params_new

    GstGLRenderbufferAllocationParams *
    gst_gl_renderbuffer_allocation_params_new (GstGLContext * context,
                                               const GstAllocationParams * alloc_params,
                                               GstGLFormat renderbuffer_format,
                                               guint width,
                                               guint height)

Parameters:

`context` –

a GstGLContext

`alloc_params` ( [allow-none]) –

the GstAllocationParams for sysmem mappings of the texture

`renderbuffer_format` –

the GstGLFormat for the created textures

`width` –

the width of the renderbuffer

`height` –

the height of the renderbuffer

Returns –

a new GstGLRenderbufferAllocationParams for allocating GstGLRenderbuffer's

Since : 1.10

#### GstGL.GLRenderbufferAllocationParams.prototype.new

    function GstGL.GLRenderbufferAllocationParams.prototype.new(context: GstGL.GLContext, alloc_params: Gst.AllocationParams, renderbuffer_format: GstGL.GLFormat, width: Number, height: Number): {
        // javascript wrapper for 'gst_gl_renderbuffer_allocation_params_new'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`alloc_params` (Gst.AllocationParams) –

the Gst.AllocationParams for sysmem mappings of the texture

`renderbuffer_format` (GstGL.GLFormat) –

the GstGL.GLFormat for the created textures

`width` (Number) –

the width of the renderbuffer

`height` (Number) –

the height of the renderbuffer

Returns (GstGL.GLRenderbufferAllocationParams) –

a new GstGL.GLRenderbufferAllocationParams for allocating GstGL.GLRenderbuffer's

Since : 1.10

#### GstGL.GLRenderbufferAllocationParams.new

    def GstGL.GLRenderbufferAllocationParams.new (context, alloc_params, renderbuffer_format, width, height):
        #python wrapper for 'gst_gl_renderbuffer_allocation_params_new'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`alloc_params` (Gst.AllocationParams) –

the Gst.AllocationParams for sysmem mappings of the texture

`renderbuffer_format` (GstGL.GLFormat) –

the GstGL.GLFormat for the created textures

`width` (int) –

the width of the renderbuffer

`height` (int) –

the height of the renderbuffer

Returns (GstGL.GLRenderbufferAllocationParams) –

a new GstGL.GLRenderbufferAllocationParams for allocating GstGL.GLRenderbuffer's

Since : 1.10

#### gst_gl_renderbuffer_allocation_params_new_wrapped

    GstGLRenderbufferAllocationParams *
    gst_gl_renderbuffer_allocation_params_new_wrapped (GstGLContext * context,
                                                       const GstAllocationParams * alloc_params,
                                                       GstGLFormat renderbuffer_format,
                                                       guint width,
                                                       guint height,
                                                       gpointer gl_handle,
                                                       gpointer user_data,
                                                       GDestroyNotify notify)

Parameters:

`context` –

a GstGLContext

`alloc_params` ( [allow-none]) –

the GstAllocationParams for tex_id

`renderbuffer_format` –

the GstGLFormat for tex_id

`width` –

the width of the renderbuffer

`height` –

the height of the renderbuffer

`gl_handle` –

the GL handle to wrap

`user_data` ( [allow-none]) –

user data to call notify with

`notify` ( [allow-none]) –

a GDestroyNotify

Returns –

a new GstGLRenderbufferAllocationParams for wrapping gl_handle as a renderbuffer

Since : 1.10

#### GstGL.GLRenderbufferAllocationParams.prototype.new_wrapped

    function GstGL.GLRenderbufferAllocationParams.prototype.new_wrapped(context: GstGL.GLContext, alloc_params: Gst.AllocationParams, renderbuffer_format: GstGL.GLFormat, width: Number, height: Number, gl_handle: Object, user_data: Object, notify: GLib.DestroyNotify): {
        // javascript wrapper for 'gst_gl_renderbuffer_allocation_params_new_wrapped'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`alloc_params` (Gst.AllocationParams) –

the Gst.AllocationParams for tex_id

`renderbuffer_format` (GstGL.GLFormat) –

the GstGL.GLFormat for tex_id

`width` (Number) –

the width of the renderbuffer

`height` (Number) –

the height of the renderbuffer

`gl_handle` (Object) –

the GL handle to wrap

`user_data` (Object) –

user data to call notify with

`notify` (GLib.DestroyNotify) –

a GDestroyNotify

Returns (GstGL.GLRenderbufferAllocationParams) –

a new GstGL.GLRenderbufferAllocationParams for wrapping gl_handle as a renderbuffer

Since : 1.10

#### GstGL.GLRenderbufferAllocationParams.new_wrapped

    def GstGL.GLRenderbufferAllocationParams.new_wrapped (context, alloc_params, renderbuffer_format, width, height, gl_handle, user_data, notify):
        #python wrapper for 'gst_gl_renderbuffer_allocation_params_new_wrapped'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`alloc_params` (Gst.AllocationParams) –

the Gst.AllocationParams for tex_id

`renderbuffer_format` (GstGL.GLFormat) –

the GstGL.GLFormat for tex_id

`width` (int) –

the width of the renderbuffer

`height` (int) –

the height of the renderbuffer

`gl_handle` (object) –

the GL handle to wrap

`user_data` (object) –

user data to call notify with

`notify` (GLib.DestroyNotify) –

a GDestroyNotify

Returns (GstGL.GLRenderbufferAllocationParams) –

a new GstGL.GLRenderbufferAllocationParams for wrapping gl_handle as a renderbuffer

Since : 1.10

## GstGLRenderbufferAllocator

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstAllocator
                    ╰──GstGLBaseMemoryAllocator
                        ╰──GstGLRenderbufferAllocator

Opaque GstGLRenderbufferAllocator struct

### Members

`parent` (GstGLBaseMemoryAllocator) –
No description available

### Class structure

#### GstGLRenderbufferAllocatorClass

The GstGLRenderbufferAllocatorClass only contains private data

##### Fields

`parent_class` (GstGLBaseMemoryAllocatorClass) –
No description available

### GstGL.GLRenderbufferAllocatorClass

The GstGL.GLRenderbufferAllocatorClass only contains private data

##### Attributes

`parent_class` (GstGL.GLBaseMemoryAllocatorClass) –
No description available

### GstGL.GLRenderbufferAllocatorClass

The GstGL.GLRenderbufferAllocatorClass only contains private data

##### Attributes

`parent_class` (GstGL.GLBaseMemoryAllocatorClass) –
No description available

## GstGL.GLRenderbufferAllocator

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Allocator
                    ╰──GstGL.GLBaseMemoryAllocator
                        ╰──GstGL.GLRenderbufferAllocator

Opaque GstGL.GLRenderbufferAllocator struct

### Members

`parent` (GstGL.GLBaseMemoryAllocator) –
No description available

## GstGL.GLRenderbufferAllocator

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Allocator
                    ╰──GstGL.GLBaseMemoryAllocator
                        ╰──GstGL.GLRenderbufferAllocator

Opaque GstGL.GLRenderbufferAllocator struct

### Members

`parent` (GstGL.GLBaseMemoryAllocator) –
No description available

## Functions

### gst_is_gl_renderbuffer

    gboolean
    gst_is_gl_renderbuffer (GstMemory * mem)

Parameters:

`mem` –

a GstMemory

Returns –

whether the memory at mem is a GstGLRenderbuffer

Since : 1.10

### GstGL.prototype.is_gl_renderbuffer

    function GstGL.prototype.is_gl_renderbuffer(mem: Gst.Memory): {
        // javascript wrapper for 'gst_is_gl_renderbuffer'
    }

Parameters:

`mem` (Gst.Memory) –

a Gst.Memory

Returns (Number) –

whether the memory at mem is a GstGL.GLRenderbuffer

Since : 1.10

### GstGL.is_gl_renderbuffer

    def GstGL.is_gl_renderbuffer (mem):
        #python wrapper for 'gst_is_gl_renderbuffer'

Parameters:

`mem` (Gst.Memory) –

a Gst.Memory

Returns (bool) –

whether the memory at mem is a GstGL.GLRenderbuffer

Since : 1.10

## Function Macros

### GST_GL_RENDERBUFFER_ALLOCATOR_CAST

    #define GST_GL_RENDERBUFFER_ALLOCATOR_CAST(obj)            ((GstGLRenderbufferAllocator *)(obj))

### GST_GL_RENDERBUFFER_CAST

    #define GST_GL_RENDERBUFFER_CAST(obj) ((GstGLRenderbuffer *) obj)

## Constants

### GST_GL_RENDERBUFFER_ALLOCATOR_NAME

    #define GST_GL_RENDERBUFFER_ALLOCATOR_NAME   "GLRenderbuffer"

The name of the GL renderbuffer allocator

### GstGL.GL_RENDERBUFFER_ALLOCATOR_NAME

The name of the GL renderbuffer allocator

### GstGL.GL_RENDERBUFFER_ALLOCATOR_NAME

The name of the GL renderbuffer allocator

### GST_TYPE_GL_RENDERBUFFER

    #define GST_TYPE_GL_RENDERBUFFER (gst_gl_renderbuffer_get_type())

Since : 1.20

deprecated : 1.22: This type has no use.

### GST_TYPE_RENDERBUFFER_ALLOCATION_PARAMS

    #define GST_TYPE_RENDERBUFFER_ALLOCATION_PARAMS (gst_gl_renderbuffer_allocation_params_get_type)

The results of the search are